GET
/api/v1/form/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (201)
{
"uuid": "07282ebf-466f-4553-b905-dd2a4491f942",
"created_at": "2026-10-08T11:55:17+01:00",
"updated_at": "2026-10-08T11:55:17+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "59419d68-1596-4ec6-b345-2efee6a67ed1",
"created_at": "2026-10-08T11:55:17+01:00",
"updated_at": "2026-10-08T11:55:17+01:00",
"section": {
"uuid": "f75501cc-7b1e-4ab3-920e-1cae9e80efea",
"created_at": "2026-10-08T11:55:21+01:00",
"updated_at": "2026-10-08T11:55:21+01:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
}